Index: /extensions/Media_Icon/admin/admin.css
===================================================================
--- /extensions/Media_Icon/admin/admin.css	(revision 19426)
+++ /extensions/Media_Icon/admin/admin.css	(revision 19427)
@@ -3,5 +3,5 @@
 	font-weight: bold;
 	float: left;
-	margin: 1,5em 1,5em;
+	margin: 2em 2em;
 }
 
Index: /extensions/Media_Icon/admin/admin_advanced.php
===================================================================
--- /extensions/Media_Icon/admin/admin_advanced.php	(revision 19426)
+++ /extensions/Media_Icon/admin/admin_advanced.php	(revision 19427)
@@ -7,4 +7,5 @@
 if (isset($_POST['submit'])) {
 	$conf_media_icon_advanced = $_POST['media_icon'];
+	
 	$media_icon_errors = array();
 	
@@ -52,4 +53,6 @@
 	array(
 		'position' => $conf_media_icon_advanced['position'],
+		'xposition' => $conf_media_icon_advanced['xposition'],
+		'yposition' => $conf_media_icon_advanced['yposition'],
 		'opacity' => $conf_media_icon_advanced['opacity'],
 	)
@@ -60,9 +63,15 @@
 $template->set_filenames(
 	array(
-		'plugin_admin_content_advanced' => dirname(__FILE__).'/admin_advanced.tpl'
+		'plugin_master_content' => MEDIA_ICON_ABSOLUTE_PATH.'template/media_icon.tpl'
 	)    
 );
- 
+$template->set_filenames(
+	array(
+		'plugin_admin_content_advanced' => dirname(__FILE__).'/admin_advanced.tpl',
+	)
+);
+
 //Assign the template contents to ADMIN_CONTENT
+$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_master_content');
 $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content_advanced');
 ?>
Index: /extensions/Media_Icon/admin/admin_advanced.tpl
===================================================================
--- /extensions/Media_Icon/admin/admin_advanced.tpl	(revision 19426)
+++ /extensions/Media_Icon/admin/admin_advanced.tpl	(revision 19427)
@@ -23,4 +23,8 @@
 	#media_icon_position_box label.right {
 		float: right;
+	}
+	
+	#media_icon_opacity {
+		text-align: center;
 	}
 	
@@ -59,7 +63,9 @@
 	<fieldset>
 	<legend>{'Opacity'|@translate}</legend>
-		<label>{'Opacity'|@translate}</label>
-		<input size="3" maxlength="3" type="text" name="media_icon[opacity]" value="{$media_icon_advanced.opacity}"{if isset($media_icon_errors.opacity)} class="media_icon_error"{/if}> %
-		{if isset($media_icon_errors.opacity)}<span class="media_icon_error_description" title="{$media_icon_errors.opacity}">!</span>{/if}
+		<div id="media_icon_opacity">
+			<label for="media_icon_opacity_input">{'Opacity'|@translate}</label>
+			<input size="3" maxlength="3" id="media_icon_opacity_input" type="text" name="media_icon[opacity]" value="{$media_icon_advanced.opacity}"{if isset($media_icon_errors.opacity)} class="media_icon_error"{/if}> %
+			{if isset($media_icon_errors.opacity)}<span class="media_icon_error_description" title="{$media_icon_errors.opacity}">!</span>{/if}
+		</div>
 	</fieldset>
 	
@@ -68,8 +74,11 @@
 	<fieldset>
 		<legend>{'Result'|@translate}</legend>
-		<div class="media_icon_bold_center">
-			<a href="#"><span class="media_icon media_icon_pdf_{$media_icon_style}"></span><img class="thumbnail" alt="landscape" src="{$media_icon_admin_path}plugins/media_icon/admin/img/landscape.png" width="323" height="200" /></a>
-			<a href="#"><span class="media_icon media_icon_youtube_{$media_icon_style}"></span><img class="thumbnail" alt="portrait" src="{$media_icon_admin_path}plugins/media_icon/admin/img/portrait.png" width="150" height="200" /></a>
-		</div>
+			<span style="float: left;">
+				<a href="#" style="position: absolute; clip: rect(0px, 323px, 200px, 0px);"><span class="media_icon media_icon_pdf_{$media_icon_style}"></span><img class="thumbnail" alt="landscape" src="{$media_icon_admin_path}plugins/media_icon/admin/img/landscape.png" width="323" height="200" /></a>
+			</span>
+			<span style="float: left; margin-left: 333px;">
+				<a href="#" style="position: absolute; clip: rect(0px, 150px, 200px, 0px);"><span class="media_icon media_icon_youtube_{$media_icon_style}"></span><img class="thumbnail" alt="portrait" src="{$media_icon_admin_path}plugins/media_icon/admin/img/portrait.png" width="150" height="200" /></a>
+			</span>
+			<span class="media_icon_clear"></span>
 	</fieldset>
 </form>
Index: /extensions/Media_Icon/admin/admin_general.php
===================================================================
--- /extensions/Media_Icon/admin/admin_general.php	(revision 19426)
+++ /extensions/Media_Icon/admin/admin_general.php	(revision 19427)
@@ -8,10 +8,9 @@
 	$conf_media_icon_general['style'] = $_POST['media_icon_style'];
 	
-	//faire avec foreach
-	foreach ($conf_media_icon_general['support'] as $media_icon_support => $value) {
-	if(isset($_POST['media_icon_checkbox']['media_icon_checkbox_'.$media_icon_support]) && ($_POST['media_icon_checkbox']['media_icon_checkbox_'.$media_icon_support] == 1))
-		$conf_media_icon_general['support'][$media_icon_support] = 1;
-	else
-		$conf_media_icon_general['support'][$media_icon_support] = 0;
+	foreach ($conf_media_icon_general['active'] as $media_icon_active => $value) {
+		if(isset($_POST['media_icon_checkbox']['media_icon_checkbox_'.$media_icon_active]) && ($_POST['media_icon_checkbox']['media_icon_checkbox_'.$media_icon_active] == 1))
+			$conf_media_icon_general['active'][$media_icon_active] = 1;
+		else
+			$conf_media_icon_general['active'][$media_icon_active] = 0;
 	}
 	
@@ -27,23 +26,11 @@
 foreach ($conf_media_icon_general['styles'] as $media_icon_style)
 	$media_icon_style_selected[$media_icon_style] = (($conf_media_icon_general['style'] == $media_icon_style) ? 'selected="selected"' : '');
+$media_icon_active_checked = array();
+foreach ($conf_media_icon_general['support'] as $media_icon_support => $value)
+	$media_icon_active_checked[$media_icon_support] = (($conf_media_icon_general['active'][$media_icon_support] == 1) ? 'checked = "checked"' : '');
 
 $template->assign('media_icon_style_selected', $media_icon_style_selected);
-$template->assign('media_icon_support',$conf_media_icon_general['support']);
-$template->assign(
-	'media_icon_support_checked',
-	array(
-		'youtube' => (($conf_media_icon_general['support']['youtube'] == 1) ? 'checked = "checked"' : ""),
-		'vimeo' => (($conf_media_icon_general['support']['vimeo'] == 1) ? 'checked = "checked"' : ""),
-		'dailymotion' => (($conf_media_icon_general['support']['dailymotion'] == 1) ? 'checked = "checked"' : ""),
-		'wideo' => (($conf_media_icon_general['support']['wideo'] == 1) ? 'checked = "checked"' : ""),
-		'wat' => (($conf_media_icon_general['support']['wat'] == 1) ? 'checked = "checked"' : ""),
-		'video' => (($conf_media_icon_general['support']['video'] == 1) ? 'checked = "checked"' : ""),
-		'music' => (($conf_media_icon_general['support']['music'] == 1) ? 'checked = "checked"' : ""),
-		'pdf' => (($conf_media_icon_general['support']['pdf'] == 1) ? 'checked = "checked"' : ""),
-		'document' => (($conf_media_icon_general['support']['document'] == 1) ? 'checked = "checked"' : ""),
-		'spreadsheet' => (($conf_media_icon_general['support']['spreadsheet'] == 1) ? 'checked = "checked"' : ""),
-		'presentation' => (($conf_media_icon_general['support']['presentation'] == 1) ? 'checked = "checked"' : ""),
-	)
-);
+$template->assign('media_icon_active',$conf_media_icon_general['active']);
+$template->assign('media_icon_active_checked',$media_icon_active_checked);
 
 //Add our template to the global template
Index: /extensions/Media_Icon/admin/admin_general.tpl
===================================================================
--- /extensions/Media_Icon/admin/admin_general.tpl	(revision 19426)
+++ /extensions/Media_Icon/admin/admin_general.tpl	(revision 19427)
@@ -32,17 +32,17 @@
 	<p>
 		<div id="media_icon_admin_checkbox_left">
-			<label>{'Youtube videos'|@translate} <input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_youtube]" value="1" {$media_icon_support_checked.youtube}></label><br />
-			<label>{'Vimeo videos'|@translate} <input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_vimeo]" value="1" {$media_icon_support_checked.vimeo}></label><br />
-			<label>{'Dailymotion videos'|@translate} <input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_dailymotion]" value="1" {$media_icon_support_checked.dailymotion}></label><br />
-			<label>{'Wat videos'|@translate} <input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_wat]" value="1" {$media_icon_support_checked.wat}></label><br />
-			<label>{'Wideo videos'|@translate} <input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_wideo]" value="1" {$media_icon_support_checked.wideo}></label><br />
-			<label>{'Videos'|@translate} <input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_video]" value="1" {$media_icon_support_checked.video}></label>
+			<label>{'Youtube videos'|@translate} <input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_youtube]" value="1" {$media_icon_active_checked.youtube}></label><br />
+			<label>{'Vimeo videos'|@translate} <input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_vimeo]" value="1" {$media_icon_active_checked.vimeo}></label><br />
+			<label>{'Dailymotion videos'|@translate} <input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_dailymotion]" value="1" {$media_icon_active_checked.dailymotion}></label><br />
+			<label>{'Wat videos'|@translate} <input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_wat]" value="1" {$media_icon_active_checked.wat}></label><br />
+			<label>{'Wideo videos'|@translate} <input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_wideo]" value="1" {$media_icon_active_checked.wideo}></label><br />
+			<label>{'Videos'|@translate} <input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_video]" value="1" {$media_icon_active_checked.video}></label>
 		</div>
 		<div id="media_icon_admin_checkbox_right">
-			<label><input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_music]" value="1" {$media_icon_support_checked.music}> {'Musics'|@translate}</label><br />
-			<label><input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_pdf]" value="1" {$media_icon_support_checked.pdf}> {'pdf files'|@translate}</label><br />
-			<label><input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_document]" value="1" {$media_icon_support_checked.document}> {'Documents'|@translate}</label><br />
-			<label><input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_spreadsheet]" value="1" {$media_icon_support_checked.spreadsheet}> {'Spreadsheets'|@translate}</label><br />
-			<label><input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_presentation]" value="1" {$media_icon_support_checked.presentation}> {'Presentations'|@translate}</label>
+			<label><input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_music]" value="1" {$media_icon_active_checked.music}> {'Musics'|@translate}</label><br />
+			<label><input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_pdf]" value="1" {$media_icon_active_checked.pdf}> {'pdf files'|@translate}</label><br />
+			<label><input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_document]" value="1" {$media_icon_active_checked.document}> {'Documents'|@translate}</label><br />
+			<label><input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_spreadsheet]" value="1" {$media_icon_active_checked.spreadsheet}> {'Spreadsheets'|@translate}</label><br />
+			<label><input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_presentation]" value="1" {$media_icon_active_checked.presentation}> {'Presentations'|@translate}</label>
 		</div>
 	</p>
@@ -58,14 +58,14 @@
 <fieldset>
 	<legend>{'Result'|@translate}</legend>
-	<div class="media_icon_admin_element">{'Youtube videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a>{if $media_icon_support.youtube eq 1}<span class="media_icon_admin media_icon_admin_youtube_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
-	<div class="media_icon_admin_element">{'Vimeo videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a>{if $media_icon_support.vimeo eq 1}<span class="media_icon_admin media_icon_admin_vimeo_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
-	<div class="media_icon_admin_element">{'Dailymotion videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a>{if $media_icon_support.dailymotion eq 1}<span class="media_icon_admin media_icon_admin_dailymotion_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
-	<div class="media_icon_admin_element">{'Wat videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a>{if $media_icon_support.wat eq 1}<span class="media_icon_admin media_icon_admin_wat_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
-	<div class="media_icon_admin_element">{'Wideo videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a>{if $media_icon_support.wideo eq 1}<span class="media_icon_admin media_icon_admin_wideo_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
-	<div class="media_icon_admin_element">{'Videos'|@translate} <a class="showInfo" title="{'Files supported: webm, webmv, ogv, m4v, flv, mp4'|@translate}">i</a>{if $media_icon_support.video eq 1}<span class="media_icon_admin media_icon_admin_video_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
-	<div class="media_icon_admin_element">{'Musics'|@translate} <a class="showInfo" title="{'Files supported: mp3, ogg, oga, m4a, webma, fla, wav'|@translate}">i</a>{if $media_icon_support.music eq 1}<span class="media_icon_admin media_icon_admin_music_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
-	<div class="media_icon_admin_element">{'pdf files'|@translate} <a class="showInfo" title="{'Files supported: pdf'|@translate}">i</a>{if $media_icon_support.pdf eq 1}<span class="media_icon_admin media_icon_admin_pdf_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
-	<div class="media_icon_admin_element">{'Documents'|@translate} <a class="showInfo" title="{'Files supported: doc, docx and odt'|@translate}">i</a>{if $media_icon_support.document eq 1}<span class="media_icon_admin media_icon_admin_document_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
-	<div class="media_icon_admin_element">{'Spreadsheets'|@translate} <a class="showInfo" title="{'Files supported: xls, xlsx and ods'|@translate}">i</a>{if $media_icon_support.spreadsheet eq 1}<span class="media_icon_admin media_icon_admin_spreadsheet_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
-	<div class="media_icon_admin_element">{'Presentations'|@translate} <a class="showInfo" title="{'Files supported: ppt, pptx and odp'|@translate}">i</a>{if $media_icon_support.presentation eq 1}<span class="media_icon_admin media_icon_admin_presentation_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
+	<div class="media_icon_admin_element">{'Youtube videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a>{if $media_icon_active.youtube eq 1}<span class="media_icon_admin media_icon_admin_youtube_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
+	<div class="media_icon_admin_element">{'Vimeo videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a>{if $media_icon_active.vimeo eq 1}<span class="media_icon_admin media_icon_admin_vimeo_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
+	<div class="media_icon_admin_element">{'Dailymotion videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a>{if $media_icon_active.dailymotion eq 1}<span class="media_icon_admin media_icon_admin_dailymotion_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
+	<div class="media_icon_admin_element">{'Wat videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a>{if $media_icon_active.wat eq 1}<span class="media_icon_admin media_icon_admin_wat_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
+	<div class="media_icon_admin_element">{'Wideo videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a>{if $media_icon_active.wideo eq 1}<span class="media_icon_admin media_icon_admin_wideo_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
+	<div class="media_icon_admin_element">{'Videos'|@translate} <a class="showInfo" title="{'Files supported: webm, webmv, ogv, m4v, flv, mp4'|@translate}">i</a>{if $media_icon_active.video eq 1}<span class="media_icon_admin media_icon_admin_video_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
+	<div class="media_icon_admin_element">{'Musics'|@translate} <a class="showInfo" title="{'Files supported: mp3, ogg, oga, m4a, webma, fla, wav'|@translate}">i</a>{if $media_icon_active.music eq 1}<span class="media_icon_admin media_icon_admin_music_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
+	<div class="media_icon_admin_element">{'pdf files'|@translate} <a class="showInfo" title="{'Files supported: pdf'|@translate}">i</a>{if $media_icon_active.pdf eq 1}<span class="media_icon_admin media_icon_admin_pdf_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
+	<div class="media_icon_admin_element">{'Documents'|@translate} <a class="showInfo" title="{'Files supported: doc, docx and odt'|@translate}">i</a>{if $media_icon_active.document eq 1}<span class="media_icon_admin media_icon_admin_document_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
+	<div class="media_icon_admin_element">{'Spreadsheets'|@translate} <a class="showInfo" title="{'Files supported: xls, xlsx and ods'|@translate}">i</a>{if $media_icon_active.spreadsheet eq 1}<span class="media_icon_admin media_icon_admin_spreadsheet_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
+	<div class="media_icon_admin_element">{'Presentations'|@translate} <a class="showInfo" title="{'Files supported: ppt, pptx and odp'|@translate}">i</a>{if $media_icon_active.presentation eq 1}<span class="media_icon_admin media_icon_admin_presentation_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
 </fieldset>
Index: /extensions/Media_Icon/config_default.inc.php
===================================================================
--- /extensions/Media_Icon/config_default.inc.php	(revision 19426)
+++ /extensions/Media_Icon/config_default.inc.php	(revision 19427)
@@ -8,7 +8,21 @@
 		'foldercolor' => 'foldercolor',
 		'folderpicture' => 'folderpicture',
+		'cracked' => 'cracked',
 	),
 	'style' => 'logo',
 	'support' => array(
+		'youtube' => 'Youtube videos',
+		'vimeo' => 'Vimeo videos',
+		'dailymotion' => 'Dailymotion videos',
+		'wideo' => 'Wideo videos',
+		'wat' => 'Wat videos',
+		'video' => 'Videos',
+		'music' => 'Musics',
+		'pdf' => 'pdf documents',
+		'document' => 'Documents',
+		'spreadsheet' => 'Spreadsheets',
+		'presentation' => 'Presentations',
+	),
+	'active' => array(
 		'youtube' => 1,
 		'vimeo' => 1,
Index: /extensions/Media_Icon/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/es_ES/plugin.lang.php	(revision 19426)
+++ /extensions/Media_Icon/language/es_ES/plugin.lang.php	(revision 19427)
@@ -29,5 +29,5 @@
 $lang['Spreadsheets'] = 'Hojas de cálculo';
 $lang['Presentations'] = 'Presentaciones';
-$lang['Videos added with'] = 'Vídeo añadido con';
+$lang['Videos added with'] = 'Vídeos añadido con';
 $lang['Files supported: webm, webmv, ogv, m4v, flv, mp4'] = 'Archivos admitidos : mp3, ogg, oga, m4a, webma, fla, wav';
 $lang['Files supported: mp3, ogg, oga, m4a, webma, fla, wav'] = 'Archivos admitidos : mp3, ogg, oga, m4a, webma, fla, wav';
Index: /extensions/Media_Icon/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/fr_FR/plugin.lang.php	(revision 19426)
+++ /extensions/Media_Icon/language/fr_FR/plugin.lang.php	(revision 19427)
@@ -29,5 +29,5 @@
 $lang['Spreadsheets'] = 'Tableurs';
 $lang['Presentations'] = 'Présentations';
-$lang['Videos added with'] = 'Videos added with';
+$lang['Videos added with'] = 'Vidéos ajoutées avec';
 $lang['Files supported: webm, webmv, ogv, m4v, flv, mp4'] = 'Fichiers supportés : mp3, ogg, oga, m4a, webma, fla, wav';
 $lang['Files supported: mp3, ogg, oga, m4a, webma, fla, wav'] = 'Fichiers supportés : mp3, ogg, oga, m4a, webma, fla, wav';
Index: /extensions/Media_Icon/main.inc.php
===================================================================
--- /extensions/Media_Icon/main.inc.php	(revision 19426)
+++ /extensions/Media_Icon/main.inc.php	(revision 19427)
@@ -13,4 +13,5 @@
 define('MEDIA_ICON_DIR' , basename(dirname(__FILE__)));
 define('MEDIA_ICON_PATH' , PHPWG_PLUGINS_PATH.MEDIA_ICON_DIR.'/');
+define('MEDIA_ICON_ABSOLUTE_PATH' , dirname(__FILE__).'/');
 define('MEDIA_ICON_ADMIN',   get_root_url() . 'admin.php?page=plugin-media_icon');
 
Index: /extensions/Media_Icon/picture.php
===================================================================
--- /extensions/Media_Icon/picture.php	(revision 19426)
+++ /extensions/Media_Icon/picture.php	(revision 19427)
@@ -1,8 +1,9 @@
 <?php
-add_event_handler('loc_end_page_header', 'media_icon_picture_css');
 add_event_handler('render_element_content','media_icon_add_tag_picture',EVENT_HANDLER_PRIORITY_NEUTRAL+10,2);
 
 function media_icon_add_tag_picture($content, $element_info) {
 	global $conf;
+	
+	add_event_handler('loc_end_page_header', 'media_icon_picture_css');
 	
 	$conf_media_icon_general = unserialize($conf['media_icon_general']);
@@ -11,41 +12,41 @@
 	switch (strrchr($element_info['file'], ".")) {
 		case ".pdf":
-			if ($conf_media_icon_general['support']['pdf'] == 1)
+			if ($conf_media_icon_general['active']['pdf'] == 1)
 				$media_icon_type = "pdf";
 			break;
 		case ".docx":
-			if ($conf_media_icon_general['support']['document'] == 1)
+			if ($conf_media_icon_general['active']['document'] == 1)
 				$media_icon_type = "document";
 			break;
 		case ".doc":
-			if ($conf_media_icon_general['support']['document'] == 1)
+			if ($conf_media_icon_general['active']['document'] == 1)
 				$media_icon_type = "document";
 			break;
 		case ".odt":
-			if ($conf_media_icon_general['support']['document'] == 1)
+			if ($conf_media_icon_general['active']['document'] == 1)
 				$media_icon_type = "document";
 			break;
 		case ".xlsx":
-			if ($conf_media_icon_general['support']['spreadsheet'] == 1)
+			if ($conf_media_icon_general['active']['spreadsheet'] == 1)
 				$media_icon_type = "spreadsheet";
 			break;
 		case ".xls":
-			if ($conf_media_icon_general['support']['spreadsheet'] == 1)
+			if ($conf_media_icon_general['active']['spreadsheet'] == 1)
 				$media_icon_type = "spreadsheet";
 			break;
 		case ".ods":
-			if ($conf_media_icon_general['support']['spreadsheet'] == 1)
+			if ($conf_media_icon_general['active']['spreadsheet'] == 1)
 				$media_icon_type = "spreadsheet";
 			break;
 		case ".pptx":
-			if ($conf_media_icon_general['support']['presentation'] == 1)
+			if ($conf_media_icon_general['active']['presentation'] == 1)
 				$media_icon_type = "presentation";
 			break;
 		case ".ppt":
-			if ($conf_media_icon_general['support']['presentation'] == 1)
+			if ($conf_media_icon_general['active']['presentation'] == 1)
 				$media_icon_type = "presentation";
 			break;
 		case ".odp":
-			if ($conf_media_icon_general['support']['presentation'] == 1)
+			if ($conf_media_icon_general['active']['presentation'] == 1)
 				$media_icon_type = "presentation";
 			break;
@@ -67,5 +68,5 @@
 	$conf_media_icon_advanced = unserialize($conf['media_icon_advanced']);
 	
-	$template->set_filename('media_icon_template', dirname(__FILE__).'/template/media_icon_picture.tpl');
+	$template->set_filename('media_icon_template', dirname(__FILE__).'/template/media_icon.tpl');
 	
 	$template->assign(
Index: /extensions/Media_Icon/template/media_icon.css
===================================================================
--- /extensions/Media_Icon/template/media_icon.css	(revision 19426)
+++ /extensions/Media_Icon/template/media_icon.css	(revision 19427)
@@ -199,48 +199,96 @@
 
 /* +-----------------------------------------------------------------------+
- * | folderpicture                                                           |
- * +-----------------------------------------------------------------------+ */
- 
- .media_icon_youtube_folderpicture, .media_icon_admin_youtube_folderpicture {
-	background: transparent url('icons/folderpicture_youtube.png') no-repeat;
-}
-
-.media_icon_vimeo_folderpicture, .media_icon_admin_vimeo_folderpicture {
-	background: transparent url('icons/folderpicture_video.png') no-repeat;
-}
-
-.media_icon_dailymotion_folderpicture, .media_icon_admin_dailymotion_folderpicture {
-	background: transparent url('icons/folderpicture_video.png') no-repeat;
-}
-
-.media_icon_wat_folderpicture, .media_icon_admin_wat_folderpicture {
-	background: transparent url('icons/folderpicture_video.png') no-repeat;
-}
-
-.media_icon_wideo_folderpicture, .media_icon_admin_wideo_folderpicture {
-	background: transparent url('icons/folderpicture_video.png') no-repeat;
-}
-
-.media_icon_video_folderpicture, .media_icon_admin_video_folderpicture {
-	background: transparent url('icons/folderpicture_video.png') no-repeat;
-}
-
-.media_icon_music_folderpicture, .media_icon_admin_music_folderpicture {
-	background: transparent url('icons/folderpicture_music.png') no-repeat;
-}
-
-.media_icon_pdf_folderpicture, .media_icon_admin_pdf_folderpicture {
-	background: transparent url('icons/folderpicture_pdf.png') no-repeat;
-}
-
-.media_icon_document_folderpicture, .media_icon_admin_document_folderpicture {
-	background: transparent url('icons/folderpicture_document.png') no-repeat;
-}
-
-.media_icon_spreadsheet_folderpicture, .media_icon_admin_spreadsheet_folderpicture {
-	background: transparent url('icons/folderpicture_spreadsheet.png') no-repeat;
-}
-
-.media_icon_presentation_folderpicture, .media_icon_admin_presentation_folderpicture {
-	background: transparent url('icons/folderpicture_presentation.png') no-repeat;
-}
+ * | cracked                                                               |
+ * +-----------------------------------------------------------------------+ */
+ 
+.media_icon_youtube_cracked, .media_icon_admin_youtube_cracked {
+	background: transparent url('icons/cracked_youtube.png') no-repeat;
+}
+
+.media_icon_vimeo_cracked, .media_icon_admin_vimeo_cracked {
+	background: transparent url('icons/cracked_video.png') no-repeat;
+}
+
+.media_icon_dailymotion_cracked, .media_icon_admin_dailymotion_cracked {
+	background: transparent url('icons/cracked_dailymotion.png') no-repeat;
+}
+
+.media_icon_wat_cracked, .media_icon_admin_wat_cracked {
+	background: transparent url('icons/cracked_video.png') no-repeat;
+}
+
+.media_icon_wideo_cracked, .media_icon_admin_wideo_cracked {
+	background: transparent url('icons/cracked_video.png') no-repeat;
+}
+
+.media_icon_video_cracked, .media_icon_admin_video_cracked {
+	background: transparent url('icons/cracked_video.png') no-repeat;
+}
+
+.media_icon_music_cracked, .media_icon_admin_music_cracked {
+	background: transparent url('icons/cracked_music.png') no-repeat;
+}
+
+.media_icon_pdf_cracked, .media_icon_admin_pdf_cracked {
+	background: transparent url('icons/cracked_pdf.png') no-repeat;
+}
+
+.media_icon_document_cracked, .media_icon_admin_document_cracked {
+	background: transparent url('icons/cracked_document.png') no-repeat;
+}
+
+.media_icon_spreadsheet_cracked, .media_icon_admin_spreadsheet_cracked {
+	background: transparent url('icons/cracked_spreadsheet.png') no-repeat;
+}
+
+.media_icon_presentation_cracked, .media_icon_admin_presentation_cracked {
+	background: transparent url('icons/cracked_presentation.png') no-repeat;
+}
+
+/* +-----------------------------------------------------------------------+
+ * | cracked                                                           |
+ * +-----------------------------------------------------------------------+ */
+ 
+ .media_icon_youtube_cracked, .media_icon_admin_youtube_cracked {
+	background: transparent url('icons/cracked_youtube.png') no-repeat;
+}
+
+.media_icon_vimeo_cracked, .media_icon_admin_vimeo_cracked {
+	background: transparent url('icons/cracked_video.png') no-repeat;
+}
+
+.media_icon_dailymotion_cracked, .media_icon_admin_dailymotion_cracked {
+	background: transparent url('icons/cracked_video.png') no-repeat;
+}
+
+.media_icon_wat_cracked, .media_icon_admin_wat_cracked {
+	background: transparent url('icons/cracked_video.png') no-repeat;
+}
+
+.media_icon_wideo_cracked, .media_icon_admin_wideo_cracked {
+	background: transparent url('icons/cracked_video.png') no-repeat;
+}
+
+.media_icon_video_cracked, .media_icon_admin_video_cracked {
+	background: transparent url('icons/cracked_video.png') no-repeat;
+}
+
+.media_icon_music_cracked, .media_icon_admin_music_cracked {
+	background: transparent url('icons/cracked_music.png') no-repeat;
+}
+
+.media_icon_pdf_cracked, .media_icon_admin_pdf_cracked {
+	background: transparent url('icons/cracked_pdf.png') no-repeat;
+}
+
+.media_icon_document_cracked, .media_icon_admin_document_cracked {
+	background: transparent url('icons/cracked_document.png') no-repeat;
+}
+
+.media_icon_spreadsheet_cracked, .media_icon_admin_spreadsheet_cracked {
+	background: transparent url('icons/cracked_spreadsheet.png') no-repeat;
+}
+
+.media_icon_presentation_cracked, .media_icon_admin_presentation_cracked {
+	background: transparent url('icons/cracked_presentation.png') no-repeat;
+}
Index: /extensions/Media_Icon/template/media_icon.tpl
===================================================================
--- /extensions/Media_Icon/template/media_icon.tpl	(revision 19427)
+++ /extensions/Media_Icon/template/media_icon.tpl	(revision 19427)
@@ -0,0 +1,94 @@
+{html_head}
+{literal}
+<style type="text/css">
+	.media_icon {
+{/literal}
+		opacity: {$media_icon_advanced.opacity/100};
+		moz-opacity: {$media_icon_advanced.opacity/100};
+		filter:alpha(opacity={$media_icon_advanced.opacity});
+		{$media_icon_advanced.xposition};
+		{$media_icon_advanced.yposition};
+{literal}
+}
+</style>
+<script type="text/javascript">
+	//Add Media Icon markups to thumbnails
+	function media_icon_markup() {
+{/literal}
+		{if $media_icon_active.youtube eq 1}
+			//Youtube
+			$("img[media_icon^=youtube]").before('<span class="media_icon media_icon_youtube_{$media_icon_style}"></span>');
+		{/if}
+		
+		{if $media_icon_active.vimeo eq 1}
+			//Vimeo
+			$("img[media_icon^=vimeo]").before('<span class="media_icon media_icon_vimeo_{$media_icon_style}"></span>');
+		{/if}
+		{if $media_icon_active.dailymotion eq 1}
+			//Dailymotion
+			$("img[media_icon^=dailymotion]").before('<span class="media_icon media_icon_dailymotion_{$media_icon_style}"></span>');
+		{/if}
+		{if $media_icon_active.wat eq 1}
+			//Wat
+			$("img[media_icon^=wat]").before('<span class="media_icon media_icon_wat_{$media_icon_style}"></span>');
+		{/if}
+		{if $media_icon_active.wideo eq 1}
+			//Wideo
+			$("img[media_icon^=wideo]").before('<span class="media_icon media_icon_wideo_{$media_icon_style}"></span>');
+		{/if}
+		{if $media_icon_active.video eq 1}
+			//Video
+			$("img[media_icon$=webm]").before('<span class="media_icon media_icon_video_{$media_icon_style}"></span>');
+			$("img[media_icon$=webmv]").before('<span class="media_icon media_icon_video_{$media_icon_style}"></span>');
+			$("img[media_icon$=ogv]").before('<span class="media_icon media_icon_video_{$media_icon_style}"></span>');
+			$("img[media_icon$=m4v]").before('<span class="media_icon media_icon_video_{$media_icon_style}"></span>');
+			$("img[media_icon$=flv]").before('<span class="media_icon media_icon_video_{$media_icon_style}"></span>');
+			$("img[media_icon$=mp4]").before('<span class="media_icon media_icon_video_{$media_icon_style}"></span>');
+		{/if}
+		{if $media_icon_active.music eq 1}
+			//Music
+			$("img[media_icon$=mp3]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>');
+			$("img[media_icon$=ogg]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>');
+			$("img[media_icon$=oga]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>');
+			$("img[media_icon$=m4a]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>');
+			$("img[media_icon$=webma]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>');
+			$("img[media_icon$=fla]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>');
+			$("img[media_icon$=wav]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>');
+		{/if}
+		{if $media_icon_active.pdf eq 1}
+			//pdf
+			$("img[media_icon$=pdf]").before('<span class="media_icon media_icon media_icon_pdf_{$media_icon_style}"></span>');
+		{/if}
+		{if $media_icon_active.document eq 1}
+			//doc, docx or odt
+			$("img[media_icon$=doc]").before('<span class="media_icon media_icon_document_{$media_icon_style}"></span>');
+			$("img[media_icon$=docx]").before('<span class="media_icon media_icon_document_{$media_icon_style}"></span>');
+			$("img[media_icon$=odt]").before('<span class="media_icon media_icon_document_{$media_icon_style}"></span>');
+		{/if}
+		{if $media_icon_active.spreadsheet eq 1}
+			//xls, xlsx or ods
+			$("img[media_icon$=xls]").before('<span class="media_icon media_icon_spreadsheet_{$media_icon_style}"></span>');
+			$("img[media_icon$=xlsx]").before('<span class="media_icon media_icon_spreadsheet_{$media_icon_style}"></span>');
+			$("img[media_icon$=ods]").before('<span class="media_icon media_icon_spreadsheet_{$media_icon_style}"></span>');
+		{/if}
+		{if $media_icon_active.presentation eq 1}
+			//ppt, pptx or odp
+			$("img[media_icon$=ppt]").before('<span class="media_icon media_icon_presentation_{$media_icon_style}"></span>');
+			$("img[media_icon$=pptx]").before('<span class="media_icon media_icon_presentation_{$media_icon_style}"></span>');
+			$("img[media_icon$=odp]").before('<span class="media_icon media_icon_presentation_{$media_icon_style}"></span>');
+		{/if}
+{literal}
+	}
+  
+	//Allow Media Icon to work with RV Thumb Scroller 
+	jQuery(window).bind("RVTS_loaded", function(){
+		media_icon_markup();
+	});
+
+	//When the document has finiched to load
+	jQuery(document).ready(function(){
+		media_icon_markup();
+	});
+</script>
+{/literal}
+{/html_head}
Index: tensions/Media_Icon/template/media_icon_picture.tpl
===================================================================
--- /extensions/Media_Icon/template/media_icon_picture.tpl	(revision 19426)
+++ 	(revision )
@@ -1,15 +1,0 @@
-{html_head}
-{literal}
-<style type="text/css">
-	.media_icon {
-{/literal}
-		opacity: {$media_icon_advanced.opacity/100};
-		moz-opacity: {$media_icon_advanced.opacity/100};
-		filter:alpha(opacity={$media_icon_advanced.opacity});
-		{$media_icon_advanced.xposition};
-		{$media_icon_advanced.yposition};
-{literal}
-}
-</style>
-{/literal}
-{/html_head}
Index: tensions/Media_Icon/template/media_icon_thumbnails.tpl
===================================================================
--- /extensions/Media_Icon/template/media_icon_thumbnails.tpl	(revision 19426)
+++ 	(revision )
@@ -1,71 +1,0 @@
-{html_head}
-{literal}
-<style type="text/css">
-	.media_icon {
-{/literal}
-		opacity: {$media_icon_advanced.opacity/100};
-		moz-opacity: {$media_icon_advanced.opacity/100};
-		filter:alpha(opacity={$media_icon_advanced.opacity});
-		{$media_icon_advanced.xposition};
-		{$media_icon_advanced.yposition};
-{literal}
-}
-</style>
-<script type="text/javascript">
-	//Add Media Icon markups to thumbnails
-	function media_icon_markup() {
-{/literal}
-		//Youtube
-		{if $media_icon_support.youtube eq 1}$("img[media_icon^=youtube]").before('<span class="media_icon media_icon_youtube_{$media_icon_style}"></span>'){/if};
-		//Vimeo
-		{if $media_icon_support.vimeo eq 1}$("img[media_icon^=vimeo]").before('<span class="media_icon media_icon_vimeo_{$media_icon_style}"></span>'){/if};
-		//Dailymotion
-		{if $media_icon_support.dailymotion eq 1}$("img[media_icon^=dailymotion]").before('<span class="media_icon media_icon_dailymotion_{$media_icon_style}"></span>'){/if};
-		//Wat
-		{if $media_icon_support.wat eq 1}$("img[media_icon^=wat]").before('<span class="media_icon media_icon_wat_{$media_icon_style}"></span>'){/if};
-		//Wideo
-		{if $media_icon_support.wideo eq 1}$("img[media_icon^=wideo]").before('<span class="media_icon media_icon_wideo_{$media_icon_style}"></span>'){/if};
-		//Video
-		{if $media_icon_support.video eq 1}$("img[media_icon$=webm]").before('<span class="media_icon media_icon_video_{$media_icon_style}"></span>'){/if};
-		{if $media_icon_support.video eq 1}$("img[media_icon$=webmv]").before('<span class="media_icon media_icon_video_{$media_icon_style}"></span>'){/if};
-		{if $media_icon_support.video eq 1}$("img[media_icon$=ogv]").before('<span class="media_icon media_icon_video_{$media_icon_style}"></span>'){/if};
-		{if $media_icon_support.video eq 1}$("img[media_icon$=m4v]").before('<span class="media_icon media_icon_video_{$media_icon_style}"></span>'){/if};
-		{if $media_icon_support.video eq 1}$("img[media_icon$=flv]").before('<span class="media_icon media_icon_video_{$media_icon_style}"></span>'){/if};
-		{if $media_icon_support.video eq 1}$("img[media_icon$=mp4]").before('<span class="media_icon media_icon_video_{$media_icon_style}"></span>'){/if};
-		//Music
-		{if $media_icon_support.music eq 1}$("img[media_icon$=mp3]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>'){/if};
-		{if $media_icon_support.music eq 1}$("img[media_icon$=ogg]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>'){/if};
-		{if $media_icon_support.music eq 1}$("img[media_icon$=oga]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>'){/if};
-		{if $media_icon_support.music eq 1}$("img[media_icon$=m4a]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>'){/if};
-		{if $media_icon_support.music eq 1}$("img[media_icon$=webma]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>'){/if};
-		{if $media_icon_support.music eq 1}$("img[media_icon$=fla]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>'){/if};
-		{if $media_icon_support.music eq 1}$("img[media_icon$=wav]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>'){/if};
-		//pdf
-		{if $media_icon_support.pdf eq 1}$("img[media_icon$=pdf]").before('<span class="media_icon media_icon media_icon_pdf_{$media_icon_style}"></span>'){/if};
-		//doc, docx or odt
-		{if $media_icon_support.document eq 1}$("img[media_icon$=doc]").before('<span class="media_icon media_icon_document_{$media_icon_style}"></span>'){/if};
-		{if $media_icon_support.document eq 1}$("img[media_icon$=docx]").before('<span class="media_icon media_icon_document_{$media_icon_style}"></span>'){/if};
-		{if $media_icon_support.document eq 1}$("img[media_icon$=odt]").before('<span class="media_icon media_icon_document_{$media_icon_style}"></span>'){/if};
-		//xls, xlsx or ods
-		{if $media_icon_support.spreadsheet eq 1}$("img[media_icon$=xls]").before('<span class="media_icon media_icon_spreadsheet_{$media_icon_style}"></span>'){/if};
-		{if $media_icon_support.spreadsheet eq 1}$("img[media_icon$=xlsx]").before('<span class="media_icon media_icon_spreadsheet_{$media_icon_style}"></span>'){/if};
-		{if $media_icon_support.spreadsheet eq 1}$("img[media_icon$=ods]").before('<span class="media_icon media_icon_spreadsheet_{$media_icon_style}"></span>'){/if};
-		//ppt, pptx or odp
-		{if $media_icon_support.presentation eq 1}$("img[media_icon$=ppt]").before('<span class="media_icon media_icon_presentation_{$media_icon_style}"></span>'){/if};
-		{if $media_icon_support.presentation eq 1}$("img[media_icon$=pptx]").before('<span class="media_icon media_icon_presentation_{$media_icon_style}"></span>'){/if};
-		{if $media_icon_support.presentation eq 1}$("img[media_icon$=odp]").before('<span class="media_icon media_icon_presentation_{$media_icon_style}"></span>'){/if};
-{literal}
-	}
-  
-	//Allow Media Icon to work with RV Thumb Scroller 
-	jQuery(window).bind("RVTS_loaded", function(){
-		media_icon_markup();
-	});
-
-	//When the document has finiched to load
-	jQuery(document).ready(function(){
-		media_icon_markup();
-	});
-</script>
-{/literal}
-{/html_head}
Index: /extensions/Media_Icon/thumbnails.php
===================================================================
--- /extensions/Media_Icon/thumbnails.php	(revision 19426)
+++ /extensions/Media_Icon/thumbnails.php	(revision 19427)
@@ -10,9 +10,9 @@
 	$template->set_prefilter('index_thumbnails', 'media_icon_prefilter_thumbnails');
 	
-	$template->set_filename('media_icon_template', dirname(__FILE__).'/template/media_icon_thumbnails.tpl');
+	$template->set_filename('media_icon_template', dirname(__FILE__).'/template/media_icon.tpl');
 	
 	$template->assign('media_icon_style',$conf_media_icon_general['style']);
 	
-	$template->assign('media_icon_support',	$conf_media_icon_general['support']);
+	$template->assign('media_icon_active',	$conf_media_icon_general['active']);
 	$template->assign(
 		'media_icon_advanced',
